<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

// recoge el array
$todas_tags_nom = todasTAGS();

// contar las repeticiones
$todas_tags_contar = array_count_values($todas_tags_nom);

// ordenar por alfabetico en minusculas
$matriz_minusculas = array_map('strtolower', $todas_tags_nom);
array_multisort($matriz_minusculas, SORT_ASC, SORT_STRING, $todas_tags_nom);

// quitar las repetidas
$todas_tags_unicas = array_keys(array_flip($todas_tags_nom));


$todas_tags_buscar = "";

// si nube de etiquetas
if (CONFIG_29 == 1)
{

	for ($c=0; $c < count($todas_tags_unicas); $c++)
	{		
		if ($todas_tags_contar[$todas_tags_unicas[$c]] >= CONFIG_39)
		{
		
			$todas_tags_buscar .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'bus'.IGUAL.codificar_buscador($todas_tags_unicas[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.'1" class="etiquetas_menu">';
			
			if ($todas_tags_contar[$todas_tags_unicas[$c]] < 2)
			{
				$fuente = 2;
			
			} else if ($todas_tags_contar[$todas_tags_unicas[$c]] > 5) {
		
				$fuente = 5;	
						
			} else {
		
				$fuente = $todas_tags_contar[$todas_tags_unicas[$c]];
		
			}
			
			$todas_tags_buscar .= '<font size="'.$fuente.'">'.$todas_tags_unicas[$c].'</font> ';
			$todas_tags_buscar .= '</a>';
		
		}
				
	}
	
} else if (CONFIG_29 == 0) {

	for ($c=0; $c < count($todas_tags_unicas); $c++)
	{		
		if ($todas_tags_contar[$todas_tags_unicas[$c]] >= CONFIG_39)
		{
		
			$todas_tags_buscar .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'bus'.IGUAL.codificar_buscador($todas_tags_unicas[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.'1" class="etiquetas_menu">';
			$todas_tags_buscar .= $todas_tags_unicas[$c].'('.$todas_tags_contar[$todas_tags_unicas[$c]].') ';
			$todas_tags_buscar .= '</a>';
		
		}
				
	}

}


$tpl_salida_todas_tags = $todas_tags_buscar;

	if ($tpl_salida_todas_tags != "")
	{

		// Smarty
		$smarty->assign("salida_menu_tags", $tpl_salida_todas_tags);
		
	
	}

?>